#include <iostream>
#include <cstdlib>
using namespace std;

int main()
{
	long long n, m, k, k1, k2;
	cin>>n>>m;
	long long a[n];
	long long r[n];
	for(long long i=0; i<n; i++)
	{
		cin>>a[i];
		r[i]=0;
	}
	for(long long i=0; i<m; i++)
	{
		cin>>k1>>k2;
		k1--;
		k2--;
		if(a[k1]>=0 && a[k2]>=0)
		{
			r[k1]++;
			r[k2]++;
		}
		else if(a[k1]<0 && a[k2]>=0)
		{
			if(abs(a[k1])>a[k2])
			{
				r[k1]--;
				r[k2]--;
			}
			else
			{
				r[k1]++;
				r[k2]++;
			}
		}
		else if(a[k1]<0 && a[k2]>=0)
		{
			if(abs(a[k2])>=a[k1])
			{
				r[k1]--;
				r[k2]--;
			}
			else
			{
				r[k1]++;
				r[k2]++;
			}
		}
		else
		{
			r[k1]--;
			r[k2]--;
		}
	}
	long long rez=0;
	for(long long i=0; i<n; i++)
	{
		rez+=a[i]*r[i];
	}
	cout<<rez;
	return 0;
}